using Hotline.Share.Dtos.Snapshot;

namespace Hotline.Users;

/// <summary>
/// 第三方认证服务
/// </summary>
public interface IThirdIdentiyService
{
    Task<ThirdTokenOutDto> GetTokenAsync(ThirdTokenDto dto);

    Task<ThirdPhoneOutDto> GetPhoneNumberAsync(ThirdTokenDto dto);
}
